services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: true

  GeocitiesWrapperApiBundle\:
    resource: '../../../src/'
    exclude:
      - '../../../src/DependencyInjection/'
      - '../../../src/Resources/'

  geocities.controller.api_geocities_controller:
    class: GeocitiesWrapperApiBundle\Controller\ApiGeocitiesController
    public: true
    tags: [ 'controller.service_arguments' ]
      
  GeocitiesWrapperApiBundle\Controller\ApiGeocitiesController:
    alias: geocities.controller.api_geocities_controller
    public: true

  geocities.api:
    class: GeocitiesWrapperApiBundle\Wrapper\GeocitiesWrapperApi
    arguments:
      $framework: '@contao.framework'
      $logger: '@?logger'
      $encryption: '@wem.encryption_util'
    tags:
      - { name: monolog.logger, channel: contao.api }
    public: true

  GeocitiesWrapperApiBundle\Wrapper\GeocitiesWrapperApi:
    alias: geocities.api
    public: true